Subject: Re: bug#54173: 28.0.91; Training wheels for query-replace

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Feb 2022 11:24:53 +0200

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 27 Feb 2022 09:51:42 +0100
> 
> > But since '?' produces a more detailed help, and that help text stays
> > on display thereafter, do we really need one more variant?  Maybe the
> > default message could be expanded instead (but not to such a long
> > text, which would resize the mini-window in many cases)?
> 
> I think ‘y’ and ‘n’ are intuitive enough that they don't need a
> reminder.  But mentioning the more uncommon ones (‘.’ and so on) without
> talking about ‘y’ and ‘n’ is weird.

How about the below?

  (‘y’/‘n’, ‘.’ replace & exit, ‘^’ back up, ‘?’ help)

An alternative is to have C-h and F1 temporarily show a longer line
with more commands.

> One idea would be to choose between the short and long messages based on
> the size of the miniwindow as well as the length regexp and replacement
> text.

That could also be a possibility.